
From: Hartmut Hackmann <hartmut.hackmann@t-online.de>

Fix limit for firmware version check was too low for tda10045.

Signed-off-by: Hartmut Hackmann <hartmut.hackmann@t-online.de>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/frontends/tda1004x.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/media/dvb/frontends/tda1004x.c~dvb-frontend-bcm3510-fix-firmware-version-check drivers/media/dvb/frontends/tda1004x.c
--- 25/drivers/media/dvb/frontends/tda1004x.c~dvb-frontend-bcm3510-fix-firmware-version-check	Mon Jun 27 15:35:56 2005
+++ 25-akpm/drivers/media/dvb/frontends/tda1004x.c	Mon Jun 27 15:35:56 2005
@@ -349,7 +349,7 @@ static int tda1004x_check_upload_ok(stru
 
 	data1 = tda1004x_read_byte(state, TDA1004X_DSP_DATA1);
 	data2 = tda1004x_read_byte(state, TDA1004X_DSP_DATA2);
-	if (data1 != 0x67 || data2 < 0x20 || data2 > 0x2a) {
+	if (data1 != 0x67 || data2 < 0x20 || data2 > 0x2e) {
 		printk(KERN_INFO "tda1004x: found firmware revision %x -- invalid\n", data2);
 		return -EIO;
 	}
_
